<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>org.apache.commons.configuration2.beanutils (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.commons.configuration2.beanutils (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/beanutils/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.commons.configuration2.beanutils</h1>
<div class="docSummary">
<div class="block">
 In this package a <code>Configuration</code> implementation can be found that
 implements the <code>DynaBean</code> interface.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html" title="interface in org.apache.commons.configuration2.beanutils">BeanCreationContext</a></td>
<td class="colLast">
<div class="block">
 Definition of a context object storing all required information for the
 creation of a bean.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></td>
<td class="colLast">
<div class="block">
 Definition of an interface for declaring a bean in a configuration file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanFactory.html" title="interface in org.apache.commons.configuration2.beanutils">BeanFactory</a></td>
<td class="colLast">
<div class="block">
 Definition of an interface for bean factories.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html" title="class in org.apache.commons.configuration2.beanutils">BeanHelper</a></td>
<td class="colLast">
<div class="block">
 A helper class for creating bean instances that are defined in configuration
 files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/CombinedBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">CombinedBeanDeclaration</a></td>
<td class="colLast">
<div class="block">
 A special implementation of the <code>BeanDeclaration</code> interface which
 allows combining multiple <code>BeanDeclaration</code> objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/ConfigurationDynaBean.html" title="class in org.apache.commons.configuration2.beanutils">ConfigurationDynaBean</a></td>
<td class="colLast">
<div class="block">The <code>ConfigurationDynaBean</code> dynamically reads and writes
 configurations properties from a wrapped configuration-collection
 <a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2"><code>Configuration</code></a> instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/ConfigurationDynaClass.html" title="class in org.apache.commons.configuration2.beanutils">ConfigurationDynaClass</a></td>
<td class="colLast">
<div class="block">The <code>ConfigurationDynaClass</code> dynamically determines properties for
 a <code>ConfigurationDynaBean</code> from a wrapped configuration-collection
 <a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2"><code>Configuration</code></a> instance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/ConstructorArg.html" title="class in org.apache.commons.configuration2.beanutils">ConstructorArg</a></td>
<td class="colLast">
<div class="block">
 A class representing an argument for a constructor invocation to be used by a
 <a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils"><code>BeanDeclaration</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/DefaultBeanFactory.html" title="class in org.apache.commons.configuration2.beanutils">DefaultBeanFactory</a></td>
<td class="colLast">
<div class="block">
 The default implementation of the <code>BeanFactory</code> interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">XMLBeanDeclaration</a></td>
<td class="colLast">
<div class="block">
 An implementation of the <code>BeanDeclaration</code> interface that is
 suitable for XML configuration files.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.commons.configuration2.beanutils Description">Package org.apache.commons.configuration2.beanutils Description</h2>
<div class="block"><p>
 In this package a <code>Configuration</code> implementation can be found that
 implements the <code>DynaBean</code> interface. It allows to access or modify
 a configuration using the classes from the Commons Beanutils package.
 There are also classes for declaring beans in configuration files, from which
 then instances can be created.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: package-info.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/beanutils/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
